  With ds_units.FieldDefs Do
    Begin
      Add('index',ftstring,50,false);                   //main
      Add('Directory',ftstring,60,false);               //general
      Add('Name',ftstring,45,false);                    //general
      Add('STATUS',ftstring,30,false);                  //general
      Add('Object_Type',ftstring,25,false);             //general
      Add('Combat_Role',ftstring,15,false);             //general
      Add('Textual_Description',ftinteger,0,false);     //general
      Add('Hud_image',ftstring,40,false);               //c&m
      Add('Unit_Scale',ftfloat,0,false);                //c&m
      Add('Cockpit',ftstring,20,false);                 //c&m
      Add('CockpitX',ftfloat,0,false);                  //c&m
      Add('CockpitY',ftfloat,0,false);                  //c&m
      Add('CockpitZ',ftfloat,0,false);                  //c&m
      Add('Mesh',ftstring,60,false);                    //c&m
      Add('Shield_Mesh',ftstring,60,false);             //c&m
      Add('Rapid_Mesh',ftstring,60,false);              //c&m
      Add('BSP_Mesh',ftstring,60,false);                //c&m
      Add('Use_BSP',ftboolean,0,false);                 //c&m
      Add('Use_Rapid',ftboolean,0,false);               //c&m
      Add('NoDamageParticles',ftboolean,0,false);       //c&m
      Add('Mass',ftfloat,0,false);                      //physics
      Add('Moment_Of_Inertia',ftfloat,0,false);         //physics
      Add('Fuel_Capacity',ftfloat,0,false);             //engy
      Add('Hull',ftfloat,0,false);                      //a&s
      Add('Armor_Front_Top_Right',ftfloat,0,false);     //a&s
      Add('Armor_Front_Top_Left',ftfloat,0,false);      //a&s
      Add('Armor_Front_Bottom_Right',ftfloat,0,false);  //a&s
      Add('Armor_Front_Bottom_Left',ftfloat,0,false);   //a&s
      Add('Armor_Back_Top_Right',ftfloat,0,false);      //a&s
      Add('Armor_Back_Top_Left',ftfloat,0,false);       //a&s
      Add('Armor_Back_Bottom_Right',ftfloat,0,false);   //a&s
      Add('Armor_Back_Bottom_Left',ftfloat,0,false);    //a&s
      Add('Shield_Front_Top_Right',ftfloat,0,false);    //a&s
      Add('Shield_Back_Top_Left',ftfloat,0,false);      //a&s
      Add('Shield_Front_Bottom_Right',ftfloat,0,false); //a&s
      Add('Shield_Front_Bottom_Left',ftfloat,0,false);  //a&s
      Add('Shield_Back_Top_Right',ftfloat,0,false);     //a&s
      Add('Shield_Front_Top_Left',ftfloat,0,false);     //a&s
      Add('Shield_Back_Bottom_Right',ftfloat,0,false);  //a&s
      Add('Shield_Back_Bottom_Left',ftfloat,0,false);   //a&s
      Add('Shield_Recharge',ftfloat,0,false);           //a&s
      Add('Shield_Leak',ftfloat,0,false);               //a&s
      Add('Warp_Capacitor',ftlargeint,0,false);         //engy
      Add('Primary_Capacitor',ftfloat,0,false);         //engy
      Add('Reactor_Recharge',ftfloat,0,false);          //engy
      Add('Jump_Drive_Present',ftboolean,0,false);      //engy
      Add('Jump_Drive_Delay',ftlargeint,0,false);       //engy
      Add('Wormhole',ftboolean,0,false);                //engy
      Add('Outsystem_Jump_Cost',ftlargeint,0,false);    //engy
      Add('Warp_Usage_Cost',ftlargeint,0,false);        //engy
      Add('Afterburner_Type',ftlargeint,0,false);       //engy
      Add('Afterburner_Usage_Cost',ftlargeint,0,false); //engy
      Add('Maneuver_Yaw',ftfloat,0,false);              //physics
      Add('Maneuver_Pitch',ftfloat,0,false);            //physics
      Add('Maneuver_Roll',ftfloat,0,false);             //physics
      Add('Yaw_Governor',ftfloat,0,false);              //physics
      Add('Pitch_Governor',ftfloat,0,false);            //physics
      Add('Roll_Governor',ftfloat,0,false);             //physics
      Add('Afterburner_Accel',ftfloat,0,false);         //physics
      Add('Forward_Accel',ftfloat,0,false);             //physics
      Add('Retro_Accel',ftfloat,0,false);               //physics
      Add('Left_Accel',ftfloat,0,false);                //physics
      Add('Right_Accel',ftfloat,0,false);               //physics
      Add('Top_Accel',ftfloat,0,false);                 //physics
      Add('Bottom_Accel',ftfloat,0,false);              //physics
      Add('Afterburner_Speed_Governor',ftfloat,0,false);//physics
      Add('Default_Speed_Governor',ftfloat,0,false);    //physics
      Add('ITTS',ftboolean,0,false);                    //physics
      Add('Radar_Color',ftboolean,0,false);             //radar
      Add('Radar_Range',ftfloat,0,false);               //radar
      Add('Tracking_Cone',ftfloat,0,false);             //radar
      Add('Max_Cone',ftfloat,0,false);                  //radar
      Add('Lock_Cone',ftfloat,0,false);                 //radar
      Add('Hold_Volume',ftlargeint,0,false);            //general
      Add('Can_Cloak',ftboolean,0,false);               //energy
      Add('Cloak_Min',ftfloat,0,false);                 //energy
      Add('Cloak_Rate',ftfloat,0,false);                //energy
      Add('Cloak_Energy',ftfloat,0,false);              //energy
      Add('Cloak_Glass',ftboolean,0,false);             //energy
      Add('Repair_Droid',ftlargeint,0,false);           //energy
      Add('ECM_Rating',ftlargeint,0,false);             //energy
      Add('ECM_Resist',ftfloat,0,false);                //energy
      Add('Ecm_Drain',ftlargeint,0,false);              //energy
      Add('Hud_Functionality',ftstring,70,false);       //funct
      Add('Max_Hud_Functionality',ftstring,70,false);   //funct
      Add('Lifesupport_Functionality',ftfloat,0,false); //funct
      Add('Max_Lifesupport_Functionality',ftfloat,0,false);//funct
      Add('Comm_Functionality',ftfloat,0,false);        //funct
      Add('Max_Comm_Functionality',ftfloat,0,false);    //funct
      Add('FireControl_Functionality',ftfloat,0,false); //funct
      Add('Max_FireControl_Functionality',ftfloat,0,false);//funct
      Add('SPECDrive_Functionality',ftfloat,0,false);   //funct
      Add('Max_SPECDrive_Functionality',ftfloat,0,false);//funct
      Add('Slide_Start',ftlargeint,0,false);            //physics
      Add('Slide_End',ftlargeint,0,false);              //physics
      Add('Activation_Accel',ftfloat,0,false);          //physics
      Add('Activation_Speed',ftfloat,0,false);          //physics
      Add('Upgrades',ftinteger,0,false);                //DS
      Add('Prohibited_Upgrades',ftinteger,0,false);     //DS
      Add('Sub_Units',ftinteger,0,false);               //DS
      Add('Sound',ftinteger,0,false);                   //DS
      Add('Light',ftinteger,0,false);                   //DS
      Add('Mounts',ftinteger,0,false);                  //DS
      Add('Net_Comm',ftinteger,0,false);                //DS
      Add('Dock',ftinteger,0,false);                    //DS
      Add('Cargo_Import',ftinteger,0,false);            //DS
      Add('Cargo',ftinteger,0,false);                   //DS
      Add('Explosion',ftstring,30,false);
      Add('Num_Animation_Stages',ftlargeint,0,false);
      Add('Upgrade_Storage_Volume',ftfloat,0,false);    //general
      Add('Heat_Sink_Rating',ftfloat,0,false);
      Add('Shield_Efficiency',ftfloat,0,false);         //a&s
      Add('Num_Chunks',ftlargeint,0,false);
      Add('Chunk_0',ftinteger,0,false);
      Add('Collide_Subunits',ftboolean,0,false);
      Add('Spec_Interdiction',ftlargeint,0,false);     //energy
    End;
  ds_units.CreateTable;
  ds_units.Open;

